GET
/
nps
/
bill
/
txs
cURL
curl --request GET \
  --url https://apidev.nusd.me/nps/bill/txs \
  --header 'BIZ-API-KEY: <api-key>' \
  --header 'Biz-Api-Nonce: <api-key>' \
  --header 'Biz-Api-Signature: <api-key>'
{
  "status": 0,
  "data": {
    "total_count": "22",
    "total_amount_in": "14.754",
    "total_amount_out": "-17.47906",
    "total_fee": "-4.64649",
    "total_actual_in": "14.06336051",
    "total_actual_out": "-13.53913",
    "data": [
      {
        "wallet_id": "332cf3e4-af07-46f9-a3da-4aa2cbe3bdd4",
        "transaction_id": "83ee917f-d44d-4e54-8e8b-2e78faf00db8",
        "chain_id": "BASE_ETH",
        "token_id": "BASE_USDT",
        "to": "0xdc2e6b357766aa4b66f41dc29598379ce7d61d46",
        "type": "Withdrawal",
        "amount": "-0.00033",
        "fee_ratio": "0.01",
        "fee": "-0.0003",
        "amount_actual": "-0.003",
        "status": "Completed",
        "hash": "0x718ffc5820c82f3bbdfe523bf1e1f97730bc522987e0e92897caa207580d23",
        "created_at": "2026-02-26T02:59:58.913Z",
        "er": "1",
        "fee_fixed": "0.00",
        "confirmed_at": "2026-02-09T00:43:15.494Z",
        "completed_at": "2026-02-09T00:43:15.494Z"
      }
    ]
  },
  "msg": "<string>"
}

Authorizations

BIZ-API-KEY
string
header
required

API key. Must be included in the request header.

Biz-Api-Nonce
string
header
required

Timestamp. Must be included in the request header.

Biz-Api-Signature
string
header
required

Signature string. Must be included in the request header.

Query Parameters

wallet_id
string
required

Wallet ID.

Example:

"b2c13dba-7787-4db5-98e3-cff374dc04cd"

start
integer

Query start timestamp, in seconds.

Example:

1769996483

end
integer

Query end timestamp, in seconds.

Example:

1770601283

time_type
enum<string>
default:Created

Match type for start and end: Created matches the transaction creation time; Confirmed matches the confirmation time; Completed matches the completion time. Default: =Created.

Available options:
Created,
Confirmed,
Completed
Example:

"Confirmed"

types
string

Transaction type: Deposit for deposit; Withdrawal for withdrawal. Separate multiple values with commas (optional).

Example:

"Deposit,Withdrawal"

statuses
string

Processing: pending confirmation, Approved: approved, Cancelled: cancelled, Rejected: rejected, Signed: signed, Pending: broadcasted, Confirming: confirming, Completed: completed, Failed: failed. Separate multiple values with commas (optional).

Example:

"Processing,Approved,Completed"

chain_ids
string

Chain IDs, separated by commas (optional).

Example:

"BASE_ETH,BSC_BNB"

token_ids
string

Token IDs, separated by commas (optional).

Example:

"BASE_USDC,BSC_USDT"

page
integer
default:1

Current page number.

Example:

1

num
integer
default:100

Items per page. Max: 1000. Default: 100.

Required range: x <= 1000
Example:

20

Response

Request succeeded. Returns the transaction statement list.

status
integer

Status code. 0 indicates success.

Example:

0

data
object

Transaction statement data.

msg
string

Error message. Present when status is non-zero.